From 0f3c7b7d0064280172043d06b77fd6070f5dd49a Mon Sep 17 00:00:00 2001
From: Mark Hodgkinson <m.hodgkinson@sheffield.ac.uk>
Date: Thu, 21 Mar 2019 15:53:39 +0000
Subject: [PATCH] Add new ART tests for tau reco from ESD.

---
 .../test/test_recexreco_art_tau_fromesd.sh           | 12 ++++++++++++
 .../test_recexreco_art_tau_fromesd_MT_oneThread.sh   |  8 ++++++++
 2 files changed, 20 insertions(+)
 create mode 100755 Reconstruction/RecExample/RecExRecoTest/test/test_recexreco_art_tau_fromesd.sh
 create mode 100755 Reconstruction/RecExample/RecExRecoTest/test/test_recexreco_art_tau_fromesd_MT_oneThread.sh

diff --git a/Reconstruction/RecExample/RecExRecoTest/test/test_recexreco_art_tau_fromesd.sh b/Reconstruction/RecExample/RecExRecoTest/test/test_recexreco_art_tau_fromesd.sh
new file mode 100755
index 00000000000..ac59da15fd7
--- /dev/null
+++ b/Reconstruction/RecExample/RecExRecoTest/test/test_recexreco_art_tau_fromesd.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+#
+# art-description: Athena runs topoclustering from an ESD file
+# art-type: grid
+# art-include: 21.0/Athena
+# art-include: 21.0-TrigMC/Athena
+# art-include: master/Athena
+# art-include: 21.3/Athena
+# art-include: 21.9/Athena
+
+athena tauRec/run_tau_standalone.py
+echo "art-result: $?"
diff --git a/Reconstruction/RecExample/RecExRecoTest/test/test_recexreco_art_tau_fromesd_MT_oneThread.sh b/Reconstruction/RecExample/RecExRecoTest/test/test_recexreco_art_tau_fromesd_MT_oneThread.sh
new file mode 100755
index 00000000000..70c89fe1b5f
--- /dev/null
+++ b/Reconstruction/RecExample/RecExRecoTest/test/test_recexreco_art_tau_fromesd_MT_oneThread.sh
@@ -0,0 +1,8 @@
+#!/bin/sh
+#
+# art-description: Athena runs topoclustering from an ESD file
+# art-type: grid
+# art-include: master/Athena
+
+athena --threads=1 tauRec/run_tau_standalone.py
+echo "art-result: $?"
-- 
GitLab